<%
// controller construct
if (viaService) {
    // beans.push({class: 'AnnouncementRecordService', instance: 'announcementRecordService'});
    // beans.push({class: 'AnnouncementRecordQueryService', instance: 'announcementRecordQueryService'});

} else {
    // service construct
    beans.push({class: 'CommonTableFieldRepository', instance: 'commonTableFieldRepository'});
    beans.push({class: 'CommonTableRelationshipRepository', instance: 'commonTableRelationshipRepository'});

}
%>
